/*
SDX: Documentary System in XML.
Copyright (C) 2000, 2001, 2002  Ministere de la culture et de la communication (France), AJLSM

Ministere de la culture et de la communication,
Mission de la recherche et de la technologie
3 rue de Valois, 75042 Paris Cedex 01 (France)
mrt@culture.fr, michel.bottin@culture.fr

AJLSM, 17, rue Vital Carles, 33000 Bordeaux (France)
sevigny@ajlsm.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
or connect to:
http://www.fsf.org/copyleft/gpl.html
*/
/*
 * Created by IntelliJ IDEA.
 * User: rpandey
 * Date: 31 oct. 2002
 * Time: 10:56:26
 * To change template for new class use
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package fr.gouv.culture.sdx.documentbase;

import fr.gouv.culture.sdx.search.lucene.query.LuceneIndex;

public class LuceneIndexParameters extends IndexParameters {

    /**Lucene IndexWriter parameter*/
    private int maxMergeDocs = LuceneIndex.DEFAULT_MAX_MERGE_DOCS; //Defaulted
    /**Lucene IndexWriter parameter*/
    private int mergeFactor = LuceneIndex.DEFAULT_MERGE_FACTOR; //Defaulted

    public LuceneIndexParameters() {
    }

    /**Build this object and set's the class variables for LuceneIndex writing
     *
     *@param maxMergeDocs The largest number of documents ever merged at indexation
     *@param mergeFactor   Determines how often segment indexes are merged at indexation
     *
     */
    public LuceneIndexParameters(int maxMergeDocs, int mergeFactor) {
        this.maxMergeDocs = maxMergeDocs;
        this.mergeFactor = mergeFactor;
    }

    /**Get's the merge factor*/
    public int getMergeFactor() {
        return mergeFactor;
    }

    /**Set's the merge factor*/
    public void setMergeFactor(int mergeFactor) {
        this.mergeFactor = mergeFactor;
    }

    /**Get's the max merge docs value*/
    public int getMaxMergeDocs() {
        return maxMergeDocs;
    }

    /**Set's the max merge docs value*/
    public void setMaxMergeDocs(int maxMergeDocs) {
        this.maxMergeDocs = maxMergeDocs;
    }

}
